Bug 137343 - RH40-beta1, embedded IDE/PCI drivers not honoring Sub ID's/Class code
RH40-beta1, embedded IDE/PCI drivers not honoring Sub ID's/Class code
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2004-10-27 13:25 EDT by Manoj Jose
Modified: 2007-11-30 17:07 EST (History)
16 users (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:31:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
noraid for ide, from the IT (1.34 KB, patch)
2004-12-09 17:12 EST, Tom Coughlan
no flags Details | Diff
The next try of a patch (2.15 KB, patch)
2005-06-22 15:08 EDT, Eric Paris
no flags Details | Diff
Patch from linked IT entry (1.50 KB, patch)
2005-07-27 12:27 EDT, Peter Martuccelli
no flags Details | Diff

  None (edit)
Description Manoj Jose 2004-10-27 13:25:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
In rh40-beta1 embedded IDE/PCI drivers are loading with out checking 
sub system ID's or class code. It will lead some of the drivers to 
load on our Sil-680, Sil-3112 and CSB6 based RAID controllers and 
will not permit LSI drivers to load! How can we prevent these IDE/PCI 
drivers from loading?.

Version-Release number of selected component (if applicable):
2.6.8-1.528.2.10smp

How reproducible:
Always

Steps to Reproduce:
1. Just install RH40-Beta1 on SIL-3112/CSB6/SIL-680 based LSI Raid 
controllers. You can see the embedded kernel drivers loading.
2.
3.
    

Additional info:
Comment 2 Tom Coughlan 2004-12-09 17:12:40 EST
Created attachment 108266 [details]
noraid for ide, from the IT
Comment 3 Tom Coughlan 2004-12-10 12:07:56 EST
Summary from rhkernel-list:

This can already be accomplished with the built-in IDE driver using
ideX=noprobe and/or hdX=noprobe.

They should also check their module to ensure that it reserves its I/O
ressources correctly.

Finally, the proposed patch is not safe for any device that isn't
storage class, but has other magic involved. Nor is it ever going to
fly upstream.
Comment 4 Manoj Jose 2004-12-10 13:03:17 EST
ideX=noprobe and hdX=noprobe will work only for IDE modules. But 
rememeber 2.6 kernel ship with Build in IDE drivers with kernel. So 
we need to have some other mechanism to make it work. Or make the IDE 
drivers back to modules. 
thanks 
Manoj
Comment 5 Tom Coughlan 2004-12-10 13:41:37 EST
From linux/Documentation/kernel-parameters.txt

Module parameters for modules that are built into the kernel image
are specified on the kernel command line with the module name plus
'.' plus parameter name, with '=' and value if appropriate, such as:

        usbcore.blinkenlights=1
Comment 6 Manoj Jose 2004-12-10 14:27:33 EST
We have problems with following IDE drivers.. serverworks, siimage, 
cmdxxx. I did not see any module parameters supported by these 
drivers. r u suggesting to have the driver changed to have the module 
parameters or module parameters already present?

-manoj
Comment 13 Need Real Name 2005-01-24 13:15:58 EST
Any updates on this issue? This is currently affecting our Blade Product 
(McCarran).
Comment 15 Alan Cox 2005-01-24 17:15:18 EST
The RHEL4 installation should correctly detect and allow md to be set up for
raid 0 or raid 1 on these controllers without third party modules. No
performance loss is involved as these are software raid devices.
Comment 17 Need Real Name 2005-01-24 20:53:37 EST
That's correct. However, the difference with RH 4.0 now is that it won't allow 
3rd party RAID vendor drivers to be used. We are locked out from using those 
drivers. We'd like to be able to use 3rd party drivers for RAID setups. 
Comment 19 Alan Cox 2005-01-25 08:20:22 EST
Well assuming they work (and that I guess would be an unsupported configuration)

Boot with

ide0=noprobe ide1=noprobe

and the Linux IDE layer will ignore the first two IDE controllers. At that point
you can load other drivers.
Comment 28 Manoj Jose 2005-02-03 10:03:17 EST
Hi
Here is our input regarding this. Our systems uses first two ide controlers 
for onboard IDE devices and CDROM devices. So we had to dissable the IDE RAID 
controller alone. We gave boot option ide2=noprobe ide3=noprobe ide4=noprobe 
ide5=noprobe (rh40-rc1) and it doesnt seem to stop the IDE driver from 
loading. But if we give ide0=noprobe ide1=noprobe we cannot even use CD-ROM 
devices to install RH40 RC1. We need to dissable a particular controller's 
driver from loading. Remember these IDE drivers are part of 2.6 kernel.

thanks
Manoj
Comment 37 Jay Turner 2005-04-18 05:02:07 EDT
Moving this off of the "U1 kernel placeholder" since it's not going to make it.
Comment 41 Eric Paris 2005-06-22 15:08:36 EDT
Created attachment 115830 [details]
The next try of a patch
Comment 48 Peter Martuccelli 2005-07-27 12:27:41 EDT
Created attachment 117194 [details]
Patch from linked IT entry
Comment 49 Alan Cox 2005-07-27 13:29:05 EDT
Patch looks a good compromise to me
Comment 59 Red Hat Bugzilla 2005-10-05 08:31:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html

Note You need to log in before you can comment on or make changes to this bug.